{% comment %}ly_global_begin{% endcomment %}{% capture ly-global-content %}{% render 'ly-global' render:true %}{% endcapture %}{% assign ly-global-content = ly-global-content | split: '#ly#' %}{% assign langify_title = ly-global-content[0] %}{% assign langify_description = ly-global-content[1] %}{% assign langify_shop_name = ly-global-content[2] %}{% assign langify_shop_description = ly-global-content[3] %}{% assign canonical_langify_url = ly-global-content[4] %}{% assign langify_shop_url = ly-global-content[5] %}{% assign langify_shop_domain = ly-global-content[6] %}{% comment %}ly_global_end{% endcomment %}<div  class="js-recently-viewed hidden"
      data-visible-products="{{ section.settings.rv_max_display }}"
  >
  {% unless sidebar %} <div class="container"> {% endunless %}
    <div class="related-products__title {% unless section.settings.rv_products_style == 'slider' %}{% if sidebar %}twelve columns{% else %}sixteen columns{% endif %}{% endunless %}">
      <h4 class="title center">{{ section.settings.rv_title }}</h4>
      <div class="feature_divider"></div>
    </div>
    <div class="clear"></div>
  {% unless sidebar %} </div> {% endunless %}

  {% if section.settings.rv_products_style == 'slider' %}
    {% assign limit = section.settings.rv_max_display %}
    <div class="rv-main js-rv-slider slider-gallery products-slider products-length-{{ section.settings.rv_per }}"
          data-products-per-slide="{{ section.settings.rv_per }}"
          data-products-limit="{{ limit }}"
          >
      {% for rvProducts in (0..limit) %}
        <div class="gallery-cell thumbnail rv-box-element rv-box-{{ rvProducts }} rv-element">
          <!--Products are dynamically inserted-->
        </div>
      {% endfor %}
    </div>

  {% else %}
    {% assign limit = section.settings.rv_max_display %}
    {% assign products_per_row = section.settings.rv_per %}
    {% unless sidebar %}<div class="container related-products--grid">{% endunless %}
      <div class="{% if sidebar %}twelve{% else %}sixteen{% endif %} columns">
        <div class="rv-main js-rv-grid clearfix product-list collection-matrix"
        data-products-per-slide="{{ section.settings.rv_per }}"
        data-products-limit="{{ limit }}">
          {% for rvProducts in (0..limit) %}
            {% if sidebar %}
              <div class="thumbnail rv-box-element rv-box-{{ rvProducts }} rv-element
              {% if products_per_row == 3 %}
                four columns {% cycle 'alpha', '', 'omega' %}
              {% elsif products_per_row == 4 %}
                three columns {% cycle 'alpha', '', '', 'omega' %}
              {% elsif products_per_row == 5 %}
                one-fifth-sidebar column {% cycle 'alpha', '', '', '', 'omega' %}
              {% endif %}
              {% cycle 'even', 'odd' %}">
                <!--Products are dynamically inserted-->
              </div>
            {% else %}
              <div class="thumbnail rv-box-element rv-box-{{ rvProducts }}
              {% if products_per_row == 3 %}
                one-third column {% cycle 'alpha', '', 'omega' %}
              {% elsif products_per_row == 4 %}
                four columns {% cycle 'alpha', '', '', 'omega' %}
              {% elsif products_per_row == 5 %}
                one-fifth column {% cycle 'alpha', '', '', '', 'omega' %}
              {% endif %}
              {% cycle 'even', 'odd' %}">
                <!--Products are dynamically inserted-->
              </div>
            {% endif %}
          {% endfor %}
        </div>
      </div>
    {% unless sidebar %}</div>{% endunless %}
  {% endif %}
</div>
